glibmm 2.41.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

New API in glibmm 2.24

Member Gio::AppInfo::get_display_name () const
  Returns
    The display name of the application for appinfo, or the name if no display name is available.
Member Gio::CharsetConverter::create (const Glib::ustring& to_charset, const Glib::ustring& from_charset)
  Parameters

    to_charset | Destination charset.
    from_charset | Source charset.

  Returns
    A new CharsetConverter, or `0` on error.
Member Gio::CharsetConverter::get_num_fallbacks () const
  Returns
    The number of fallbacks that converter has applied.
Member Gio::CharsetConverter::get_use_fallback () const
  Returns
    `true` if fallbacks are used by converter.
Member Gio::CharsetConverter::set_use_fallback (bool use_fallback)
  Parameters

    use_fallback | `true` to use fallbacks.

Member Gio::Converter::convert (const void* inbuf, gsize inbuf_size, void* outbuf, gsize outbuf_size, ConverterFlags flags, gsize& bytes_read, gsize& bytes_written)
  Parameters

    inbuf | The buffer containing the data to convert.
    inbuf_size | The number of bytes in inbuf.
    outbuf | A buffer to write converted data in.
    outbuf_size | The number of bytes in outbuf, must be at least one.
    flags | A ConverterFlags controlling the conversion details.
    bytes_read | Will be set to the number of bytes read from inbuf on success.
    bytes_written | Will be set to the number of bytes written to outbuf on success.

  Returns
    A ConverterResult, CONVERTER_ERROR on error.
Member Gio::Converter::reset ()
Member Gio::ConverterInputStream::get_converter ()
  Returns
    The converter of the converter input stream.
Member Gio::ConverterInputStream::get_converter () const
  Returns
    The converter of the converter input stream.
Member Gio::ConverterOutputStream::get_converter ()
  Returns
    The converter of the converter output stream.
Member Gio::ConverterOutputStream::get_converter () const
  Returns
    The converter of the converter output stream.
Member Gio::DesktopAppInfo::get_filename () const
Member Gio::File::create_file_readwrite_async (const SlotAsyncReady& slot, FileCreateFlags flags=FILE_CREATE_NONE, int io_priority=Glib::PRIORITY_DEFAULT)
Member Gio::File::create_file_readwrite_async (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, FileCreateFlags flags=FILE_CREATE_NONE, int io_priority=Glib::PRIORITY_DEFAULT)
Member Gio::File::eject_mountable (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, const Glib::RefPtr< MountOperation >& mount_operation, MountUnmountFlags flags=MOUNT_UNMOUNT_NONE)
Member Gio::File::eject_mountable (const SlotAsyncReady& slot, const Glib::RefPtr< MountOperation >& mount_operation, MountUnmountFlags flags=MOUNT_UNMOUNT_NONE)
Member Gio::File::eject_mountable (const Glib::RefPtr< MountOperation >& mount_operation, MountUnmountFlags flags=MOUNT_UNMOUNT_NONE)
Member Gio::File::has_parent (const Glib::RefPtr< File >& parent) const
  Parameters

    parent | The parent to check for, or `0`.

  Returns
    `true` if file is a child of parent (or any parent in the case that parent is `0`).
Member Gio::File::has_parent () const
Member Gio::File::open_readwrite_async (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, int io_priority=Glib::PRIORITY_DEFAULT)
Member Gio::File::open_readwrite_async (const SlotAsyncReady& slot, int io_priority=Glib::PRIORITY_DEFAULT)
Member Gio::File::poll_mountable (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable)
Member Gio::File::poll_mountable (const SlotAsyncReady& slot)
Member Gio::File::replace_readwrite (const Glib::RefPtr< Cancellable >& cancellable, const std::string& etag=std::string(), bool make_backup=false, FileCreateFlags flags=FILE_CREATE_NONE)
Member Gio::File::replace_readwrite (const std::string& etag=std::string(), bool make_backup=false, FileCreateFlags flags=FILE_CREATE_NONE)
Member Gio::File::replace_readwrite_async (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, const std::string& etag=std::string(), bool make_backup=false, FileCreateFlags flags=FILE_CREATE_NONE, int io_priority=Glib::PRIORITY_DEFAULT)
Member Gio::File::replace_readwrite_async (const SlotAsyncReady& slot, const std::string& etag=std::string(), bool make_backup=false, FileCreateFlags flags=FILE_CREATE_NONE, int io_priority=Glib::PRIORITY_DEFAULT)
Member Gio::File::start_mountable (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, const Glib::RefPtr< MountOperation >& start_operation, DriveStartFlags flags=DRIVE_START_NONE)
Member Gio::File::start_mountable (const SlotAsyncReady& slot, const Glib::RefPtr< MountOperation >& start_operation, DriveStartFlags flags=DRIVE_START_NONE)
Member Gio::File::stop_mountable (const SlotAsyncReady& slot, const Glib::RefPtr< MountOperation >& start_operation, MountUnmountFlags flags=MOUNT_UNMOUNT_NONE)
Member Gio::File::stop_mountable (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, const Glib::RefPtr< MountOperation >& start_operation, MountUnmountFlags flags=MOUNT_UNMOUNT_NONE)
Member Gio::File::unmount_mountable (const SlotAsyncReady& slot, const Glib::RefPtr< Cancellable >& cancellable, const Glib::RefPtr< MountOperation >& mount_operation, MountUnmountFlags flags=MOUNT_UNMOUNT_NONE)
Member Gio::File::unmount_mountable (const SlotAsyncReady& slot, const Glib::RefPtr< MountOperation >& mount_operation, MountUnmountFlags flags=MOUNT_UNMOUNT_NONE)
Member Gio::File::unmount_mountable (const Glib::RefPtr< MountOperation >& mount_operation, MountUnmountFlags flags=MOUNT_UNMOUNT_NONE)
Class Gio::InetAddress

Class Gio::InetSocketAddress

Class Gio::Initable
Class Gio::NetworkAddress

Class Gio::NetworkService

Class Gio::Resolver

Class Gio::Socket

Class Gio::SocketAddress

Class Gio::SocketAddressEnumerator

Class Gio::SocketClient

Class Gio::SocketConnectable

Class Gio::SocketConnection

Class Gio::SocketListener

Member Gio::SocketListener::add_any_inet_port (const Glib::RefPtr< Glib::Object >& source_object)
  Parameters

    source_object | Optional Object identifying this source.

  Returns
    The port number, or 0 in case of failure.
Member Gio::SocketListener::add_any_inet_port ()
  Parameters

    source_object | Optional Object identifying this source.

  Returns
    The port number, or 0 in case of failure.
Class Gio::SocketService

Class Gio::SrvTarget

Class Gio::TcpConnection

Class Gio::ThreadedSocketService

Class Gio::UnixConnection

Member Gio::UnixFDList::append (int fd)
  Parameters

    fd | A valid open file descriptor.

  Returns
    The index of the appended fd in case of success, else -1 (and error is set).
Member Gio::UnixFDList::create ()
  Returns
    A new UnixFDList.
Member Gio::UnixFDList::create (const Glib::ArrayHandle< int >& fds, int n_fds)
  Parameters

    fds | The initial list of file descriptors.
    n_fds | The length of #fds, or -1.

  Returns
    A new UnixFDList.
Member Gio::UnixFDList::get (int index) const
  Parameters

    index | The index into the list.

  Returns
    The file descriptor, or -1 in case of error.
Member Gio::UnixFDList::get_length () const
  Returns
    The length of list.
Member Gio::UnixFDMessage::create (const Glib::RefPtr< UnixFDList >& fd_list)
  Parameters

    fd_list | A UnixFDList.

  Returns
    A new UnixFDMessage.
Member Gio::UnixFDMessage::get_fd_list ()
  Returns
    The UnixFDList from message.
Member Gio::UnixFDMessage::get_fd_list () const
  Returns
    The UnixFDList from message.
Member Gio::ZlibCompressor::create (ZlibCompressorFormat format, int level)
  Parameters

    format | The format to use for the compressed data.
    level | Compression level (0-9), -1 for default.

  Returns
    A new ZlibCompressor.
Member Gio::ZlibDecompressor::create (ZlibCompressorFormat format)
  Parameters

    format | The format to use for the compressed data.

  Returns
    A new ZlibDecompressor.
Class Glib::BalancedTree< K, V >
Member Glib::Variant< VariantBase >::get () const
  Returns
    The item contained in the variant.
Member Glib::VariantBase::byteswap (VariantBase& result) const
Member Glib::VariantBase::classify () const
  Returns
    The VariantClass of value.
Member Glib::VariantBase::equal (const VariantBase& other) const
  Parameters

    other | The Variant to compare with.

  Returns
    `true` if *this and other are equal.
Member Glib::VariantBase::get_data ()
  Returns
    The serialised form of value, or `0`.
Member Glib::VariantBase::get_normal_form (VariantBase& result) const
Member Glib::VariantBase::get_size () const
  Returns
    The serialised size of value.
Member Glib::VariantBase::get_type () const
  Returns
    A VariantType.
Member Glib::VariantBase::get_type_string () const
  Returns
    The type string for the type of value.
Member Glib::VariantBase::hash () const
  Parameters

    value | A basic Variant value as a #gconstpointer.

  Returns
    A hash value corresponding to value.
Member Glib::VariantBase::is_container () const
  Returns
    `true` if value is a container.
Member Glib::VariantBase::is_normal_form () const
  Returns
    `true` if value is in normal form.
Member Glib::VariantBase::is_of_type (const VariantType& type) const
  Parameters

    type | A VariantType.

  Returns
    `true` if the type of value matches type.
Member Glib::VariantBase::print (bool type_annotate=false) const
  Parameters

    type_annotate | `true` if type information should be included in the output.

  Returns
    A newly-allocated string holding the result.
Member Glib::VariantBase::store (gpointer data) const
  Parameters

    data | The location to store the serialised data at.

Member Glib::VariantContainerBase::create_maybe (const VariantType& child_type, const VariantBase& child=VariantBase())
  Parameters

    child_type | The VariantType of the child, or `0`.
    child | The child value, or `0`.

  Returns
    A floating reference to a new Variant maybe instance.
Member Glib::VariantContainerBase::get_child (gsize index=0)
  Parameters

    index | The index of the child to fetch.

  Returns
    The child at the specified index.
Member Glib::VariantContainerBase::get_n_children () const
  Returns
    The number of children in the container.
Member Glib::VariantIter::get_n_children () const
  Returns
    The number of children in the container.
Member Glib::VariantIter::init (const VariantContainerBase& value)
  Parameters

    value | A container Variant.

  Returns
    The number of items in value.
Member Glib::VariantStringBase::is_object_path (const std::string& string)
  Parameters

    string | A normal C nul-terminated string.

  Returns
    `true` if string is a D-Bus object path.
Member Glib::VariantStringBase::is_signature (const std::string& string)
  Parameters

    string | A normal C nul-terminated string.

  Returns
    `true` if string is a D-Bus type signature.
Member Glib::VariantType::create_array (const VariantType& element)
  Returns
    A new array VariantType.
Member Glib::VariantType::create_dict_entry (const VariantType& key, const VariantType& value)
  Parameters

    value | A VariantType.

  Returns
    A new dictionary entry VariantType.
Member Glib::VariantType::create_maybe (const VariantType& element)
  Returns
    A new maybe VariantType.
Member Glib::VariantType::element () const
  Returns
    The element type of type.
Member Glib::VariantType::equal (const VariantType& other) const
Member Glib::VariantType::first () const
  Returns
    The first item type of type, or `0`.
Member Glib::VariantType::get_string () const
  Returns
    The corresponding type string (not nul-terminated).
Member Glib::VariantType::hash () const
  Parameters

    type | A VariantType.

  Returns
    The hash value.
Member Glib::VariantType::is_array () const
  Returns
    `true` if type is an array type.
Member Glib::VariantType::is_basic () const
  Returns
    `true` if type is a basic type.
Member Glib::VariantType::is_container () const
  Returns
    `true` if type is a container type.
Member Glib::VariantType::is_definite () const
  Returns
    `true` if type is definite.
Member Glib::VariantType::is_dict_entry () const
  Returns
    `true` if type is a dictionary entry type.
Member Glib::VariantType::is_maybe () const
  Returns
    `true` if type is a maybe type.
Member Glib::VariantType::is_subtype_of (const VariantType& supertype) const
  Parameters

    supertype | A VariantType.

  Returns
    `true` if type is a subtype of supertype.
Member Glib::VariantType::is_tuple () const
  Returns
    `true` if type is a tuple type.
Member Glib::VariantType::is_variant () const
  Returns
    `true` if type is the variant type.
Member Glib::VariantType::key () const
  Returns
    The key type of the dictionary entry.
Member Glib::VariantType::n_items () const
  Returns
    The number of items in type.
Member Glib::VariantType::next () const
  Returns
    The next VariantType after type, or `0`.
Member Glib::VariantType::value () const
  Returns
    The value type of the dictionary entry.